Download Sn0wbreeze 2.8b11 Custom Hacktivated iOS 5.0.1 IPSW for iPhone 4 (GSM) and 3GS

Unlockers and jailbreakers, get your custom iOS 5.0.1 firmware here. Custom firmware ensures that your baseband is always preserved for unlocking.

UPDATE: Untethered, jailbroken, hacktivated iOS 5.0.1 can be downloaded here. If you have an AT&T iPhone, unlock it right here.

Wait – before you update to iOS 5.0.1, read this warning from MuscleNerd.

These custom firmware were made using sn0wbreeze v2.8b11 [download sn0wbreeze-v2.8b11.zip for Windows only] and they will ALWAYS preserve your baseband.

Preserving your baseband allows your iPhone to be unlocked with supported software such as ultrasn0w or hardware e.g. Gevey Turbo SIM for iPhone 4.

Even if you don’t intend to unlock it now, preserving your baseband will increase your iPhone’s resale value. Your potential buyer may want to unlock it.

Since the jailbreak for iOS 5.0.1 is still tethered, you will need to use iBooty or redsn0w to boot your device to a jailbroken state. If you’re new to restoring your iPhone with custom firmware, please be aware that you will need to pawn DFU your iPhone first to allow it to accept custom firmware. Use redsn0w or iREB for this.

Be sure to install the iTunes 10.5 in order to install custom iOS 5.0.1.

Custom iOS 5.0.1 Jailbroken (tethered) and Hacktivated (use this if you DO NOT have the official carrier SIM card)

iPhone 4 (GSM) sn0wbreeze_iPhone 4-5.0.1_hacktivated_jb.ipsw
iPhone 3GS New Bootrom sn0wbreeze_iPhone 3GS-5.0.1_NBR_hacktivated_jb.ipsw
iPhone 3GS Old Bootrom (untethered) sn0wbreeze_iPhone 3GS-5.0.1_OBR_hacktivated_jb.ipsw

Custom iOS 5.0.1 Not Jailbreaken, Not Activated (official carrier SIM required)

iPhone 4 (GSM) sn0wbreeze_iPhone 4-5.0.1_noJB.ipsw
iPhone 3GS sn0wbreeze_iPhone 3GS-5.0.1_noJB.ipsw

Note for iPhone 4 and 3GS unlockers:

  • iPhone 4 – Gevey Turbo SIM works with iOS 5.0.1 as long as you don’t have baseband 4.11.08. Please share this information with your friends! Many people updated to iOS 5 and lost their unlock!
  • iPhone 3GS – ultrasn0w 1.2.4 is not yet ready for iOS 5.0.1. The latest baseband that comes with iOS 5.0.1 is also 5.16.05 (no change from iOS 5.0), and there’s no way to unlock it. Note that the latest ultrasn0w only supports older basebands.

If you like these custom firmware, be sure to click on Like below or Recommend on Google +. Have a good weekend!

Download Hacktivated Custom iOS 5 IPSW for iPhone 4 (GSM) and iPhone 3GS Here

UPDATE: Read here on how to downgrade iPhone 4 baseband 4.11.08 to 4.10.01. If you have an AT&T iPhone, unlock it right here.

Now that iOS 5 is out, why don’t you upgrade your iPhone now?

These custom firmware were made using sn0wbreeze 2.8b8. It will preserve your baseband – that means it will not update your baseband, so you can still unlock your iPhone.

Since the jailbreak is still tethered, you will need to use iBooty 2.3 or redsn0w to boot your device to a jailbroken state. If you don’t need a jailbreak, you don’t need to worry about this.

Custom iOS 5 Jailbroken (tethered) and Hacktivated


iPhone 4 sn0wbreeze_iPhone 4-5.0.ipsw
iPhone 3GS New Bootrom sn0wbreeze_iPhone 3GS_NBR-5.0.ipsw
iPhone 3GS Old Bootrom (untethered) sn0wbreeze_iPhone 3GS_OBR-5.0.ipsw
iPhone 3GS New Bootrom with iPad baseband 6.15.00 and ultrasn0w sn0wbreeze_iPhone_3GS-5.0_NBR_iPadBB.ipsw
iPhone 3GS Old Bootrom with iPad baseband 6.15.00 and ultrasn0w sn0wbreeze_iPhone_3GS-5.0_OBR_iPadBB.ipsw

Custom iOS 5 Not Jailbreaken, Not Activated (official carrier SIM required)

iPhone 4 sn0wbreeze_iPhone 4_nojb-5.0.ipsw
iPhone 3GS sn0wbreeze_iPhone 3GS_nojb-5.0.ipsw

Note for iPhone 4 and 3GS unlockers:

  • iPhone 4 – Gevey Turbo SIM works with iOS 5 as long as you don’t have baseband 4.11.08 (the custom firmware above will preserve your baseband anyway). I believe Ultra’s furiousmod is broken in iOS 5. So you need to operate it manually or use a Gevey Blue (My favorite – works better than Ultra, stable, no 112, no jailbreak required – ask me about it).
  • iPhone 3GS - ultrasn0w 1.2.4 is now ready but it’s only compatible with baseband 04.26.08, 05.11.07, 05.12.01, 05.13.04 and 06.15.00 (6.15 is an iPad baseband which breaks your GPS). If you have baseband 5.14.02, 5.15.04, 5.16.02 and 5.16.05 – the only way is to update it to 6.15.00 with redsn0w.

MuscleNerd also added that:

Note: there’s a special “trick” that iPhone3GS owners with baseband 06.15 need for iOS5.  During the new setup screens you see when you start iOS5 for the first time, you’ll be asked about Location Services.  Be sure to select “Disable Location Services” when asked!  Later on in the setup, you’ll have the chance to turn on Location Services again when asked if you want to use “Find my iPhone”.  It’s fine to turn it back on at that point, if that’s your desire (or you can always go in and enable it in Settings.app).

Enjoy!